# Cash Dash Stacks

- A simple way to track expenses
- cash budgeting in digital mode

# Setup (Docker)

```sh
$ git clone [this repo]
```

## _build containers_

```sh
$ docker-compose build
```

## OR _build only backend_

```sh
$ docker-compose -f docker-compose.backend.yml build
```

## _initialize database and seed data_

```sh
$ docker-compose run --rm server bash
# Puts you into the command line in the server container
$ > python manage.py migrate
$ > python manage.py createsuperuser --email admin@westwinds.io --username admin
$ > exit
# You are now back in your machine bash
```

# Running (Docker)

```sh
# Containers will all (re)start
$ docker-compose down && docker-compose up -d
```

## _backend only_

```sh
$ docker-compose down && docker-compose -f docker-compose.backend.yml up -d
```

# Setup (Not Docker)

## Frontend

```sh
$ cd frontend
$ npm i
```

## Backend

```sh
$ cd server
$ virtualenv -p python3 env
$ source env/bin/activate
(env) $ pip install -r requirements.txt
(env) $ python manage.py makemigrations
(env) $ python manage.py migrate
(env) $ python manage.py seed
(env) $ DEBUG=true python manage.py runserver 0.0.0.0:8000
```

# Running (Not Docker)

_frontend_

```sh
$ cd frontend
$ npm run start
```

_backend_

```sh
$ cd server
$ source env/bin/activate
(env) $ DEBUG=true python manage.py runserver 0.0.0.0:8000
```

# Ideas

- put items in your wishlist and track savings to buy big-ticket items
- view spending trends

# Todo

https://github.com/dank-inc/cash-stacks/projects
