import { BrowserRouter } from 'react-router-dom'
import { UserContextProvider } from './contexts/UserContext'
import { MainLayout } from './MainLayout'
import { AppContextProvider } from './contexts/AppContext'

import './app.scss'

const App = () => {
  const baseURL =
    process.env.NODE_ENV === 'production'
      ? '/api'
      : process.env.REACT_APP_API_URL

  return (
    <BrowserRouter>
      <AppContextProvider baseURL={baseURL}>
        <UserContextProvider>
          <MainLayout />
        </UserContextProvider>
      </AppContextProvider>
    </BrowserRouter>
  )
}

export default App
