import { User } from '../types'
import { useUserContext } from '../contexts/UserContext'
import { Button } from '../elements/Button'
import { Form } from '../elements/Form'
import { useForm } from 'antd/lib/form/Form'
import { FormItem } from '../elements/FormItem'
import { Input } from '../elements/Input'

export const UserForm = () => {
  const { user } = useUserContext()
  if (!user) throw new Error('User should be gotten by this point')

  const [form] = useForm<User>()

  const handleFinish = (values: User) => {
    console.log(values)
  }

  return (
    <>
      <Form form={form} onFinish={handleFinish} initialValues={user}>
        <h1>User Profile</h1>
        <FormItem label="Username" name="username">
          <Input />
        </FormItem>
        <FormItem label="First Name" name="first_name">
          <Input />
        </FormItem>
        <FormItem label="Last Name" name="last_name">
          <Input />
        </FormItem>
        <FormItem label="E-Mail" name="email">
          <Input type="email" />
        </FormItem>
        <Button htmlType="submit">Save</Button>
      </Form>
    </>
  )
}
