import { useAppContext } from '../../contexts/AppContext'
import { Transaction } from '../../types'

export type NewTransaction = Omit<Transaction, 'id'>

export const useCreateTransaction = () => {
  const api = useAppContext()

  return (body: NewTransaction): Promise<Transaction | null> =>
    api.post<Transaction>('/transactions/', body)
}
