import { useTransactions } from '../../hooks/getMany/useTransactions'
import { Page } from '../../layout/Page'
import './style.scss'

export const TransactionList = () => {
  const transactions = useTransactions()

  return (
    <Page>
      <h1>Transactions</h1>

      <div className="transactions">
        {transactions.data?.map((tx, i) => {
          return (
            <div className="dank-transaction" key={`${tx.id}-txs-${i}`}>
              <p>
                {tx.details}: ${tx.amount}
              </p>
              <p>on: {tx.created_at}</p>
            </div>
          )
        })}
      </div>
    </Page>
  )
}
