export type ApiResponse<T> = {
  count: number
  next: number | null
  previous: number | null
  results: T[]
}

export type User = {
  id: number
  username: string
  email: string
  first_name: string
  last_name: string
}

export type Account = {
  id: string
  users?: string[]
  name: string
  details: string
  income: number
  expenses: number
  stacks: Stack[]
}

export type Stack = {
  id: string
  account: string //'38485982-87f3-4a11-a963-2202983809e3'
  name: string // 'House Fund'
  details: string //'buy furniture'
  amount: string // number // '200.00'
  transactions: Transaction[]
}

export type Transaction = {
  id: string
  stack: string // '0058cece-3ff3-4ee1-b71d-075a0bc73bc0'
  details: string // 'by ghetto couch off Kijiji'
  amount: string // number // '30.44'
  created_at: string // '2021-04-15T00:02:45.096071Z'
}

export type Password = {
  password: string
  passwordConfirm: string
}
